cublasStatus
Date: 2010-04-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcuda.jcublas
Class cublasStatus

    java.lang.Object
      jcuda.jcublas.cublasStatus

    public class cublasStatus

extends java.lang.Object

JCublas status return values.

Field Summary
`static int` | `CUBLAS_STATUS_ALLOC_FAILED` Resource allocation failed
`static int` | `CUBLAS_STATUS_ARCH_MISMATCH` Function requires an architectural feature absent from the architecture of the device
`static int` | `CUBLAS_STATUS_EXECUTION_FAILED` GPU program failed to execute
`static int` | `CUBLAS_STATUS_INTERNAL_ERROR` An internal CUBLAS operation failed
`static int` | `CUBLAS_STATUS_INVALID_VALUE` Unsupported numerical value was passed to function
`static int` | `CUBLAS_STATUS_MAPPING_ERROR` Access to GPU memory space failed
`static int` | `CUBLAS_STATUS_NOT_INITIALIZED` Library not initialized
`static int` | `CUBLAS_STATUS_SUCCESS` Operation completed successfully
`static int` | `JCUBLAS_STATUS_INTERNAL_ERROR` JCublas status returns

Method Summary
`static java.lang.String` | `stringFor(int n)` Returns the String identifying the given cublasStatus

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CUBLAS_STATUS_SUCCESS

    public static final int CUBLAS_STATUS_SUCCESS

  Operation completed successfully

  See Also:
    Constant Field Values

### CUBLAS_STATUS_NOT_INITIALIZED

    public static final int CUBLAS_STATUS_NOT_INITIALIZED

  Library not initialized

  See Also:
    Constant Field Values

### CUBLAS_STATUS_ALLOC_FAILED

    public static final int CUBLAS_STATUS_ALLOC_FAILED

  Resource allocation failed

  See Also:
    Constant Field Values

### CUBLAS_STATUS_INVALID_VALUE

    public static final int CUBLAS_STATUS_INVALID_VALUE

  Unsupported numerical value was passed to function

  See Also:
    Constant Field Values

### CUBLAS_STATUS_ARCH_MISMATCH

    public static final int CUBLAS_STATUS_ARCH_MISMATCH

  Function requires an architectural feature absent from the architecture of the device

  See Also:
    Constant Field Values

### CUBLAS_STATUS_MAPPING_ERROR

    public static final int CUBLAS_STATUS_MAPPING_ERROR

  Access to GPU memory space failed

  See Also:
    Constant Field Values

### CUBLAS_STATUS_EXECUTION_FAILED

    public static final int CUBLAS_STATUS_EXECUTION_FAILED

  GPU program failed to execute

  See Also:
    Constant Field Values

### CUBLAS_STATUS_INTERNAL_ERROR

    public static final int CUBLAS_STATUS_INTERNAL_ERROR

  An internal CUBLAS operation failed

  See Also:
    Constant Field Values

### JCUBLAS_STATUS_INTERNAL_ERROR

    public static final int JCUBLAS_STATUS_INTERNAL_ERROR

  JCublas status returns

  See Also:
    Constant Field Values

Method Detail

### stringFor

    public static java.lang.String stringFor(int n)

  Returns the String identifying the given cublasStatus

  Parameters:
    `n` - The cublasStatus
  Returns:
    The String identifying the given cublasStatus

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD